# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeCartesianPoint Class Reference

This class implements the mapping between classes
CartesianPoint from Geom and Pnt from gp, and the class
CartesianPoint from StepGeom which describes a point from
Prostep.
.

`#include <GeomToStep_MakeCartesianPoint.hxx>`

Inheritance diagram for GeomToStep_MakeCartesianPoint:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeCartesianPoint (const gp_Pnt &P)
Standard_EXPORT | GeomToStep_MakeCartesianPoint (const gp_Pnt2d &P)
Standard_EXPORT | GeomToStep_MakeCartesianPoint (const Handle(Geom_CartesianPoint)&P)
Standard_EXPORT | GeomToStep_MakeCartesianPoint (const Handle(Geom2d_CartesianPoint)&P)
Standard_EXPORT const Handle_StepGeom_CartesianPoint & | Value () const

## Private Attributes

Handle_StepGeom_CartesianPoint | theCartesianPoint

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeCartesianPoint::GeomToStep_MakeCartesianPoint | ( | const gp_Pnt & | P | ) |

Standard_EXPORT GeomToStep_MakeCartesianPoint::GeomToStep_MakeCartesianPoint | ( | const gp_Pnt2d & | P | ) |

Standard_EXPORT GeomToStep_MakeCartesianPoint::GeomToStep_MakeCartesianPoint | ( | const Handle(Geom_CartesianPoint)& | P | ) |

Standard_EXPORT GeomToStep_MakeCartesianPoint::GeomToStep_MakeCartesianPoint | ( | const Handle(Geom2d_CartesianPoint)& | P | ) |

## Member Function Documentation

void GeomToStep_MakeCartesianPoint::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCartesianPoint::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCartesianPoint::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_CartesianPoint& GeomToStep_MakeCartesianPoint::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_CartesianPoint GeomToStep_MakeCartesianPoint::theCartesianPoint `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeCartesianPoint.hxx